Index: plugins/maintenance/inc/class.dc.maintenance.php
===================================================================
--- plugins/maintenance/inc/class.dc.maintenance.php	(revision 3731)
+++ plugins/maintenance/inc/class.dc.maintenance.php	(revision 3874)
@@ -20,7 +20,7 @@
     public $p_url;
 
-    private $tasks  = array();
-    private $tabs   = array();
-    private $groups = array();
+    private $tasks  = [];
+    private $tabs   = [];
+    private $groups = [];
     private $logs   = null;
 
@@ -61,5 +61,5 @@
      * @return <b>dcMaintenance</b>    Self
      */
-    public function addTab($id, $name, $options = array())
+    public function addTab($id, $name, $options = [])
     {
         $this->tabs[$id] = new dcMaintenanceDescriptor($id, $name, $options);
@@ -100,5 +100,5 @@
      * @return <b>dcMaintenance</b>    Self
      */
-    public function addGroup($id, $name, $options = array())
+    public function addGroup($id, $name, $options = [])
     {
         $this->groups[$id] = new dcMaintenanceDescriptor($id, $name, $options);
@@ -205,5 +205,5 @@
         );
 
-        $logs = array();
+        $logs = [];
         while ($rs->fetch()) {
             $logs[] = $rs->log_id;
@@ -231,10 +231,10 @@
     {
         // Retrieve logs from this task
-        $rs = $this->core->log->getLogs(array(
+        $rs = $this->core->log->getLogs([
             'log_table' => 'maintenance',
             'blog_id'   => 'all'
-        ));
-
-        $logs = array();
+        ]);
+
+        $logs = [];
         while ($rs->fetch()) {
             $logs[] = $rs->log_id;
@@ -250,10 +250,10 @@
      * Get logs
      *
-     * Return array(
-     *        task id => array(
+     * Return [
+     *        task id => [
      *            timestamp of last execution,
      *            logged on current blog or not
-     *        )
-     * )
+     *        ]
+     * ]
      *
      * @return    <b>array</b> List of logged tasks
@@ -262,15 +262,15 @@
     {
         if ($this->logs === null) {
-            $rs = $this->core->log->getLogs(array(
+            $rs = $this->core->log->getLogs([
                 'log_table' => 'maintenance',
                 'blog_id'   => 'all'
-            ));
-
-            $this->logs = array();
+            ]);
+
+            $this->logs = [];
             while ($rs->fetch()) {
-                $this->logs[$rs->log_msg] = array(
+                $this->logs[$rs->log_msg] = [
                     'ts'   => strtotime($rs->log_dt),
                     'blog' => $rs->blog_id == $this->core->blog->id
-                );
+                ];
             }
         }
Index: plugins/maintenance/inc/class.dc.maintenance.task.php
===================================================================
--- plugins/maintenance/inc/class.dc.maintenance.task.php	(revision 3731)
+++ plugins/maintenance/inc/class.dc.maintenance.task.php	(revision 3874)
@@ -155,5 +155,5 @@
             } else {
                 $this->expired = null;
-                $logs          = array();
+                $logs          = [];
                 foreach ($this->maintenance->getLogs() as $id => $log) {
                     if ($id != $this->id() || $this->blog && !$log['blog']) {
Index: plugins/maintenance/index.php
===================================================================
--- plugins/maintenance/index.php	(revision 3731)
+++ plugins/maintenance/index.php	(revision 3874)
@@ -22,5 +22,5 @@
 $p_url   = $core->adminurl->get('admin.plugin.maintenance');
 $task    = null;
-$expired = array();
+$expired = [];
 
 $code = empty($_POST['code']) ? null : (integer) $_POST['code'];
@@ -101,5 +101,5 @@
 // Combos
 
-$combo_ts = array(
+$combo_ts = [
     __('Never')            => 0,
     __('Every week')       => 604800,
@@ -107,5 +107,5 @@
     __('Every month')      => 2592000,
     __('Every two months') => 5184000
-);
+];
 
 // Display page
@@ -132,8 +132,8 @@
 if (empty($tasks)) {
     echo dcPage::breadcrumb(
-        array(
+        [
             __('Plugins')     => '',
             __('Maintenance') => ''
-        )
+        ]
     ) .
     '<p class="warn">' . __('You have not sufficient permissions to view this page.') . '</p>' .
@@ -148,9 +148,9 @@
 
     echo dcPage::breadcrumb(
-        array(
+        [
             __('Plugins')                                            => '',
             '<a href="' . $p_url . '">' . __('Maintenance') . '</a>' => '',
             html::escapeHTML($task->name())                          => ''
-        )
+        ]
     ) . dcPage::notices();
 
@@ -172,6 +172,6 @@
     '<p class="step-submit">' .
     '<input type="submit" value="' . $task->task() . '" /> ' .
-    form::hidden(array('task'), $task->id()) .
-    form::hidden(array('code'), (integer) $code) .
+    form::hidden(['task'], $task->id()) .
+    form::hidden(['code'], (integer) $code) .
     $core->formNonce() .
         '</p>' .
@@ -183,8 +183,8 @@
 
     echo dcPage::breadcrumb(
-        array(
+        [
             __('Plugins')     => '',
             __('Maintenance') => ''
-        )
+        ]
     ) . dcPage::notices();
 
@@ -203,5 +203,5 @@
 
                 $res_task .=
-                '<p>' . form::radio(array('task', $t->id()), $t->id()) . ' ' .
+                '<p>' . form::radio(['task', $t->id()], $t->id()) . ' ' .
                 '<label class="classic" for="' . $t->id() . '">' .
                 html::escapeHTML($t->task()) . '</label>';
@@ -246,5 +246,5 @@
             $res_group .
             '<p><input type="submit" value="' . __('Execute task') . '" /> ' .
-            form::hidden(array('tab'), $tab_obj->id()) .
+            form::hidden(['tab'], $tab_obj->id()) .
             $core->formNonce() . '</p>' .
             '<p class="form-note info">' . __('This may take a very long time.') . '</p>' .
@@ -267,6 +267,6 @@
         $t->content() .
         '<p><input type="submit" value="' . __('Execute task') . '" /> ' .
-        form::hidden(array('task'), $t->id()) .
-        form::hidden(array('tab'), $t->id()) .
+        form::hidden(['task'], $t->id()) .
+        form::hidden(['tab'], $t->id()) .
         $core->formNonce() . '</p>' .
             '</form>' .
@@ -293,5 +293,5 @@
     '<h4 class="pretty-title vertical-separator">' . __('Frequency') . '</h4>' .
 
-    '<p class="vertical-separator">' . form::radio(array('settings_recall_type', 'settings_recall_all'), 'all') . ' ' .
+    '<p class="vertical-separator">' . form::radio(['settings_recall_type', 'settings_recall_all'], 'all') . ' ' .
     '<label class="classic" for="settings_recall_all">' .
     '<strong>' . __('Use one recall time for all tasks') . '</strong></label></p>' .
@@ -301,5 +301,5 @@
     '</p>' .
 
-    '<p class="vertical-separator">' . form::radio(array('settings_recall_type', 'settings_recall_separate'), 'separate', 1) . ' ' .
+    '<p class="vertical-separator">' . form::radio(['settings_recall_type', 'settings_recall_separate'], 'separate', 1) . ' ' .
     '<label class="classic" for="settings_recall_separate">' .
     '<strong>' . __('Use one recall time per task') . '</strong></label></p>';
@@ -321,6 +321,6 @@
     echo
     '<p class="field wide"><input type="submit" value="' . __('Save') . '" /> ' .
-    form::hidden(array('tab'), 'settings') .
-    form::hidden(array('save_settings'), 1) .
+    form::hidden(['tab'], 'settings') .
+    form::hidden(['save_settings'], 1) .
     $core->formNonce() . '</p>' .
         '</form>' .
Index: plugins/maintenance/js/dc.maintenance.js
===================================================================
--- plugins/maintenance/js/dc.maintenance.js	(revision 3709)
+++ plugins/maintenance/js/dc.maintenance.js	(revision 3880)
@@ -4,5 +4,5 @@
 $(function() {
   $('.step-box').each(function() {
-    var code = $('input[name=code]', this).val();
+    const code = $('input[name=code]', this).val();
 
     $('.step-submit', this).remove();
@@ -17,5 +17,5 @@
 
     function dcMaintenanceStep(box, code) {
-      var params = {
+      const params = {
         f: 'dcMaintenanceStep',
         xd_check: dotclear.nonce,
@@ -34,5 +34,5 @@
             $('rsp>step', data).attr('title')
           );
-          var code = $('rsp>step', data).attr('code');
+          const code = $('rsp>step', data).attr('code');
           if (code > 0) {
             dcMaintenanceStep(box, code);
Index: plugins/pages/_admin.php
===================================================================
--- plugins/pages/_admin.php	(revision 3731)
+++ plugins/pages/_admin.php	(revision 3874)
@@ -12,6 +12,6 @@
 if (!defined('DC_CONTEXT_ADMIN')) {return;}
 
-$core->addBehavior('adminColumnsLists', array('pagesColumnsLists', 'adminColumnsLists'));
-$core->addBehavior('adminDashboardFavorites', array('pagesDashboard', 'pagesDashboardFavs'));
+$core->addBehavior('adminColumnsLists', ['pagesColumnsLists', 'adminColumnsLists']);
+$core->addBehavior('adminDashboardFavorites', ['pagesDashboard', 'pagesDashboardFavs']);
 $core->addBehavior('adminUsersActionsHeaders', 'pages_users_actions_headers');
 
@@ -21,10 +21,10 @@
     {
         // Set optional columns in pages lists
-        $cols['pages'] = array(__('Pages'), array(
-            'date'       => array(true, __('Date')),
-            'author'     => array(true, __('Author')),
-            'comments'   => array(true, __('Comments')),
-            'trackbacks' => array(true, __('Trackbacks'))
-        ));
+        $cols['pages'] = [__('Pages'), [
+            'date'       => [true, __('Date')],
+            'author'     => [true, __('Author')],
+            'comments'   => [true, __('Comments')],
+            'trackbacks' => [true, __('Trackbacks')]
+        ]];
     }
 }
@@ -34,5 +34,5 @@
     public static function pagesDashboardFavs($core, $favs)
     {
-        $favs->register('pages', array(
+        $favs->register('pages', [
             'title'        => __('Pages'),
             'url'          => $core->adminurl->get('admin.plugin.pages'),
@@ -40,15 +40,15 @@
             'large-icon'   => dcPage::getPF('pages/icon-big.png'),
             'permissions'  => 'contentadmin,pages',
-            'dashboard_cb' => array('pagesDashboard', 'pagesDashboardCB'),
-            'active_cb'    => array('pagesDashboard', 'pagesActiveCB')
-        ));
-        $favs->register('newpage', array(
+            'dashboard_cb' => ['pagesDashboard', 'pagesDashboardCB'],
+            'active_cb'    => ['pagesDashboard', 'pagesActiveCB']
+        ]);
+        $favs->register('newpage', [
             'title'       => __('New page'),
-            'url'         => $core->adminurl->get('admin.plugin.pages', array('act' => 'page')),
+            'url'         => $core->adminurl->get('admin.plugin.pages', ['act' => 'page']),
             'small-icon'  => dcPage::getPF('pages/icon-np.png'),
             'large-icon'  => dcPage::getPF('pages/icon-np-big.png'),
             'permissions' => 'contentadmin,pages',
-            'active_cb'   => array('pagesDashboard', 'newPageActiveCB')
-        ));
+            'active_cb'   => ['pagesDashboard', 'newPageActiveCB']
+        ]);
     }
 
Index: plugins/pages/_define.php
===================================================================
--- plugins/pages/_define.php	(revision 3731)
+++ plugins/pages/_define.php	(revision 3874)
@@ -17,8 +17,8 @@
     "Olivier Meunier",                   // Author
     '1.4',                               // Version
-    array(
+    [
         'permissions' => 'contentadmin,pages',
         'priority'    => 999,
         'type'        => 'plugin'
-    )
+    ]
 );
Index: plugins/pages/_install.php
===================================================================
--- plugins/pages/_install.php	(revision 3731)
+++ plugins/pages/_install.php	(revision 3874)
@@ -22,8 +22,8 @@
 
     // Create a first pending page, only on a new installation of this plugin
-    $params = array(
+    $params = [
         'post_type'  => 'page',
         'no_content' => true
-    );
+    ];
     $counter = $core->blog->getPosts($params, true);
 
Index: plugins/pages/_prepend.php
===================================================================
--- plugins/pages/_prepend.php	(revision 3731)
+++ plugins/pages/_prepend.php	(revision 3874)
@@ -15,6 +15,6 @@
 $__autoload['adminPagesList']     = dirname(__FILE__) . '/class.listpage.php';
 
-$core->url->register('pages', 'pages', '^pages/(.+)$', array('urlPages', 'pages'));
-$core->url->register('pagespreview', 'pagespreview', '^pagespreview/(.+)$', array('urlPages', 'pagespreview'));
+$core->url->register('pages', 'pages', '^pages/(.+)$', ['urlPages', 'pages']);
+$core->url->register('pagespreview', 'pagespreview', '^pagespreview/(.+)$', ['urlPages', 'pagespreview']);
 
 $core->setPostType('page', 'plugin.php?p=pages&act=page&id=%d', $core->url->getURLFor('pages', '%s'), 'Pages');
Index: plugins/pages/_public.php
===================================================================
--- plugins/pages/_public.php	(revision 3731)
+++ plugins/pages/_public.php	(revision 3874)
@@ -12,5 +12,5 @@
 if (!defined('DC_RC_PATH')) {return;}
 
-$core->addBehavior('coreBlogBeforeGetPosts', array('publicPages', 'coreBlogBeforeGetPosts'));
+$core->addBehavior('coreBlogBeforeGetPosts', ['publicPages', 'coreBlogBeforeGetPosts']);
 
 # Localized string we find in template
@@ -31,5 +31,5 @@
                 if (!is_array($params['post_type'])) {
                     // Convert it in array
-                    $params['post_type'] = array($params['post_type']);
+                    $params['post_type'] = [$params['post_type']];
                 }
                 if (!in_array('page', $params['post_type'])) {
@@ -39,5 +39,5 @@
             } else {
                 // Dont miss default post type (aka post)
-                $params['post_type'] = array('post', 'page');
+                $params['post_type'] = ['post', 'page'];
             }
         }
@@ -58,7 +58,7 @@
             $core->blog->withoutPassword(false);
 
-            $params = new ArrayObject(array(
+            $params = new ArrayObject([
                 'post_type' => 'page',
-                'post_url'  => $args));
+                'post_url'  => $args]);
 
             $core->callBehavior('publicPagesBeforeGetPosts', $params, $args);
@@ -90,10 +90,10 @@
                         $pwd_cookie = json_decode($_COOKIE['dc_passwd']);
                         if ($pwd_cookie === null) {
-                            $pwd_cookie = array();
+                            $pwd_cookie = [];
                         } else {
                             $pwd_cookie = (array) $pwd_cookie;
                         }
                     } else {
-                        $pwd_cookie = array();
+                        $pwd_cookie = [];
                     }
 
@@ -268,5 +268,5 @@
 
         $sort = $w->sortby;
-        if (!in_array($sort, array('post_title', 'post_position', 'post_dt'))) {
+        if (!in_array($sort, ['post_title', 'post_position', 'post_dt'])) {
             $sort = 'post_title';
         }
Index: plugins/pages/_widgets.php
===================================================================
--- plugins/pages/_widgets.php	(revision 3731)
+++ plugins/pages/_widgets.php	(revision 3874)
@@ -12,6 +12,6 @@
 if (!defined('DC_RC_PATH')) {return;}
 
-$core->addBehavior('initWidgets', array('pagesWidgets', 'initWidgets'));
-$core->addBehavior('initDefaultWidgets', array('pagesWidgets', 'initDefaultWidgets'));
+$core->addBehavior('initWidgets', ['pagesWidgets', 'initWidgets']);
+$core->addBehavior('initDefaultWidgets', ['pagesWidgets', 'initDefaultWidgets']);
 
 class pagesWidgets
@@ -19,22 +19,22 @@
     public static function initWidgets($w)
     {
-        $w->create('pages', __('Pages'), array('tplPages', 'pagesWidget'), null, 'List of published pages');
+        $w->create('pages', __('Pages'), ['tplPages', 'pagesWidget'], null, 'List of published pages');
         $w->pages->setting('title', __('Title (optional)') . ' :', __('Pages'));
         $w->pages->setting('homeonly', __('Display on:'), 1, 'combo',
-            array(
+            [
                 __('All pages')           => 0,
                 __('Home page only')      => 1,
                 __('Except on home page') => 2
-            )
+            ]
         );
         $w->pages->setting('sortby', __('Order by:'), 'post_title', 'combo',
-            array(
+            [
                 __('Page title')       => 'post_title',
                 __('Page position')    => 'post_position',
                 __('Publication date') => 'post_dt'
-            )
+            ]
         );
         $w->pages->setting('orderby', __('Sort:'), 'asc', 'combo',
-            array(__('Ascending') => 'asc', __('Descending') => 'desc')
+            [__('Ascending') => 'asc', __('Descending') => 'desc']
         );
         $w->pages->setting('content_only', __('Content only'), 0, 'check');
Index: plugins/pages/class.actionpage.php
===================================================================
--- plugins/pages/class.actionpage.php	(revision 3731)
+++ plugins/pages/class.actionpage.php	(revision 3874)
@@ -12,8 +12,8 @@
 class dcPagesActionsPage extends dcPostsActionsPage
 {
-    public function __construct($core, $uri, $redirect_args = array())
+    public function __construct($core, $uri, $redirect_args = [])
     {
         parent::__construct($core, $uri, $redirect_args);
-        $this->redirect_fields = array();
+        $this->redirect_fields = [];
         $this->caller_title    = __('Pages');
 
@@ -24,9 +24,9 @@
         $this->core->error->add($e->getMessage());
         $this->beginPage(dcPage::breadcrumb(
-            array(
+            [
                 html::escapeHTML($this->core->blog->name) => '',
                 __('Pages')                               => $this->getRedirection(true),
                 __('Pages actions')                       => ''
-            ))
+            ])
         );
         $this->endPage();
@@ -52,5 +52,5 @@
     {
         DefaultPagesActions::adminPagesActionsPage($this->core, $this);
-        $this->actions['reorder'] = array('dcPagesActionsPage', 'doReorderPages');
+        $this->actions['reorder'] = ['dcPagesActionsPage', 'doReorderPages'];
         $this->core->callBehavior('adminPagesActionsPage', $this->core, $this);
 
@@ -102,25 +102,25 @@
         if ($core->auth->check('publish,contentadmin', $core->blog->id)) {
             $ap->addAction(
-                array(__('Status') => array(
+                [__('Status') => [
                     __('Publish')         => 'publish',
                     __('Unpublish')       => 'unpublish',
                     __('Schedule')        => 'schedule',
                     __('Mark as pending') => 'pending'
-                )),
-                array('dcDefaultPostActions', 'doChangePostStatus')
+                ]],
+                ['dcDefaultPostActions', 'doChangePostStatus']
             );
         }
         if ($core->auth->check('admin', $core->blog->id)) {
             $ap->addAction(
-                array(__('Change') => array(
-                    __('Change author') => 'author')),
-                array('dcDefaultPostActions', 'doChangePostAuthor')
+                [__('Change') => [
+                    __('Change author') => 'author']],
+                ['dcDefaultPostActions', 'doChangePostAuthor']
             );
         }
         if ($core->auth->check('delete,contentadmin', $core->blog->id)) {
             $ap->addAction(
-                array(__('Delete') => array(
-                    __('Delete') => 'delete')),
-                array('dcDefaultPostActions', 'doDeletePost')
+                [__('Delete') => [
+                    __('Delete') => 'delete']],
+                ['dcDefaultPostActions', 'doDeletePost']
             );
         }
Index: plugins/pages/class.listpage.php
===================================================================
--- plugins/pages/class.listpage.php	(revision 3774)
+++ plugins/pages/class.listpage.php	(revision 3874)
@@ -20,5 +20,5 @@
         } else {
             $pager   = new dcPager($page, $this->rs_count, $nb_per_page, 10);
-            $entries = array();
+            $entries = [];
             if (isset($_REQUEST['entries'])) {
                 foreach ($_REQUEST['entries'] as $v) {
@@ -30,5 +30,5 @@
                 '<table class="maximal dragable"><thead><tr>';
 
-            $cols = array(
+            $cols = [
                 'title'      => '<th colspan="3" scope="col" class="first">' . __('Title') . '</th>',
                 'date'       => '<th scope="col">' . __('Date') . '</th>',
@@ -39,5 +39,5 @@
                 '" /><span class="hidden">' . __('Trackbacks') . '</span></th>',
                 'status'     => '<th scope="col">' . __('Status') . '</th>'
-            );
+            ];
 
             $cols = new ArrayObject($cols);
@@ -115,20 +115,20 @@
         ' id="p' . $this->rs->post_id . '">';
 
-        $cols = array(
+        $cols = [
             'position'   => '<td class="nowrap handle minimal">' .
-            form::number(array('order[' . $this->rs->post_id . ']'), array(
+            form::number(['order[' . $this->rs->post_id . ']'], [
                 'min'        => 1,
                 'default'    => $count + 1,
                 'class'      => 'position',
                 'extra_html' => 'title="' . sprintf(__('position of %s'), html::escapeHTML($this->rs->post_title)) . '"'
-            )) .
+            ]) .
             '</td>',
             'check'      => '<td class="nowrap">' .
-            form::checkbox(array('entries[]'), $this->rs->post_id,
-                array(
+            form::checkbox(['entries[]'], $this->rs->post_id,
+                [
                     'checked'    => $checked,
                     'disabled'   => !$this->rs->isEditable(),
                     'extra_html' => 'title="' . __('Select this page') . '"'
-                )
+                ]
             ) . '</td>',
             'title'      => '<td class="maximal" scope="row"><a href="' .
@@ -140,5 +140,5 @@
             'trackbacks' => '<td class="nowrap count">' . $this->rs->nb_trackback . '</td>',
             'status'     => '<td class="nowrap status">' . $img_status . ' ' . $selected . ' ' . $protected . ' ' . $attach . '</td>'
-        );
+        ];
 
         $cols = new ArrayObject($cols);
Index: plugins/pages/js/_users_actions.js
===================================================================
--- plugins/pages/js/_users_actions.js	(revision 3709)
+++ plugins/pages/js/_users_actions.js	(revision 3880)
@@ -5,16 +5,15 @@
   return this.each(function() {
 
-    var perms = {};
-    var re = /^perm\[(.+?)\]\[(.+?)\]$/;
-    var e, prop;
+    let perms = {};
+    const re = /^perm\[(.+?)\]\[(.+?)\]$/;
 
     // Building a nice object of form elements
-    for (var i = 0; i < this.elements.length; i++) {
-      e = this.elements[i];
+    for (let i = 0; i < this.elements.length; i++) {
+      const e = this.elements[i];
 
       if (e.name == undefined) {
         continue;
       }
-      prop = e.name.match(re);
+      const prop = e.name.match(re);
       if (!prop) {
         continue;
@@ -37,5 +36,5 @@
 
     function admin(E, perms, re) {
-      var P = E.name.match(re);
+      const P = E.name.match(re);
 
       perms[P[1]].pages.checked = E.checked;
Index: plugins/pages/js/list.js
===================================================================
--- plugins/pages/js/list.js	(revision 3709)
+++ plugins/pages/js/list.js	(revision 3880)
@@ -2,5 +2,5 @@
 'use strict';
 
-dotclear.viewPostContent = function(line, action) {
+dotclear.viewPostContent = function(line, action, e) {
   action = action || 'toggle';
   if ($(line).attr('id') == undefined) {
@@ -8,48 +8,32 @@
   }
 
-  var postId = $(line).attr('id').substr(1);
-  var tr = document.getElementById('pe' + postId);
+  const postId = $(line).attr('id').substr(1);
+  const lineId = `pe${postId}`;
+  let tr = document.getElementById(lineId);
 
-  if (!tr && (action == 'toggle' || action == 'open')) {
-    tr = document.createElement('tr');
-    tr.id = 'pe' + postId;
-    var td = document.createElement('td');
-    td.colSpan = 8;
-    td.className = 'expand';
-    tr.appendChild(td);
-
-    // Get post content
-    $.get('services.php', {
-      f: 'getPostById',
-      id: postId,
-      post_type: ''
-    }, function(data) {
-      var rsp = $(data).children('rsp')[0];
-
-      if (rsp.attributes[0].value == 'ok') {
-        var post = $(rsp).find('post_display_content').text();
-        var post_excerpt = $(rsp).find('post_display_excerpt').text();
-        var res = '';
-
-        if (post) {
-          if (post_excerpt) {
-            res += post_excerpt + '<hr />';
-          }
-          res += post;
-          $(td).append(res);
-        }
+  if (!tr) {
+    // Get post content if possible
+    dotclear.getEntryContent(postId, function(content) {
+      if (content) {
+        // Content found
+        tr = document.createElement('tr');
+        tr.id = lineId;
+        const td = document.createElement('td');
+        td.colSpan = $(line).children('td').length;
+        td.className = 'expand';
+        tr.appendChild(td);
+        $(td).append(content);
+        $(line).addClass('expand');
+        line.parentNode.insertBefore(tr, line.nextSibling);
       } else {
-        window.alert($(rsp).find('message').text());
+        $(line).toggleClass('expand');
       }
+    }, {
+      type: 'page',
+      clean: (e.metaKey)
     });
-
-    $(line).addClass('expand');
-    line.parentNode.insertBefore(tr, line.nextSibling);
-  } else if (tr && tr.style.display == 'none' && (action == 'toggle' || action == 'open')) {
-    $(tr).css('display', 'table-row');
-    $(line).addClass('expand');
-  } else if (tr && tr.style.display != 'none' && (action == 'toggle' || action == 'close')) {
-    $(tr).css('display', 'none');
-    $(line).removeClass('expand');
+  } else {
+    $(tr).toggle();
+    $(line).toggleClass('expand');
   }
 };
@@ -64,5 +48,5 @@
   });
   $('.checkboxes-helpers').each(function() {
-    var p = $('<p></p>');
+    const p = $('<p></p>');
     $(this).prepend(p);
     dotclear.checkboxesHelpers(p, undefined, '#pageslist td input[type=checkbox]', '#form-entries #do-action');
@@ -73,5 +57,5 @@
   $('#pageslist tr.line td:not(.expander)').mousedown(function() {
     $('#pageslist tr.line').each(function() {
-      var td = this.firstChild;
+      const td = this.firstChild;
       dotclear.viewPostContent(td.firstChild, td.firstChild.line, 'close');
     });
@@ -105,6 +89,6 @@
 
   $('#form-entries').submit(function() {
-    var action = $(this).find('select[name="action"]').val();
-    var checked = false;
+    const action = $(this).find('select[name="action"]').val();
+    let checked = false;
     if ($('input[name="reorder"][clicked=true]').val()) {
       return true;
Index: plugins/pages/js/page.js
===================================================================
--- plugins/pages/js/page.js	(revision 3878)
+++ plugins/pages/js/page.js	(revision 3878)
@@ -0,0 +1,12 @@
+/*global $, dotclear, datePicker, commentTb */
+'use strict';
+
+$(function() {
+  $('#comments').onetabload(function() {
+    $.expandContent({
+      line: $('#part-comments .comments-list tr:not(.line)'),
+      lines: $('#part-comments .comments-list tr.line'),
+      callback: dotclear.viewCommentContent
+    });
+  });
+});
Index: plugins/pages/list.php
===================================================================
--- plugins/pages/list.php	(revision 3731)
+++ plugins/pages/list.php	(revision 3874)
@@ -15,7 +15,7 @@
 /* Getting pages
 -------------------------------------------------------- */
-$params = array(
+$params = [
     'post_type' => 'page'
-);
+];
 
 $page        = !empty($_GET['page']) ? max(1, (integer) $_GET['page']) : 1;
@@ -26,5 +26,5 @@
 }
 
-$params['limit']      = array((($page - 1) * $nb_per_page), $nb_per_page);
+$params['limit']      = [(($page - 1) * $nb_per_page), $nb_per_page];
 $params['no_content'] = true;
 $params['order']      = 'post_position ASC, post_title ASC';
@@ -40,10 +40,10 @@
 # Actions combo box
 
-$pages_actions_page = new dcPagesActionsPage($core, 'plugin.php', array('p' => 'pages'));
+$pages_actions_page = new dcPagesActionsPage($core, 'plugin.php', ['p' => 'pages']);
 
 if (!$pages_actions_page->process()) {
 
 # --BEHAVIOR-- adminPagesActionsCombo
-    $core->callBehavior('adminPagesActionsCombo', array(&$combo_action));
+    $core->callBehavior('adminPagesActionsCombo', [&$combo_action]);
 
 /* Display
@@ -68,8 +68,8 @@
 <?php
 echo dcPage::breadcrumb(
-        array(
+        [
             html::escapeHTML($core->blog->name) => '',
             __('Pages')                         => ''
-        )) . dcPage::notices();
+        ]) . dcPage::notices();
 
     if (!empty($_GET['upd'])) {
@@ -96,7 +96,7 @@
             form::combo('action', $pages_actions_page->getCombo()) .
             '<input id="do-action" type="submit" value="' . __('ok') . '" />' .
-            form::hidden(array('post_type'), 'page') .
-            form::hidden(array('p'), 'pages') .
-            form::hidden(array('act'), 'list') .
+            form::hidden(['post_type'], 'page') .
+            form::hidden(['p'], 'pages') .
+            form::hidden(['act'], 'list') .
             $core->formNonce() .
             '</p></div>' .
